unit Engine_And_UI;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, XPMan, ExtCtrls;

type
  TDCompForm = class(TForm)
    Note: TMemo;
    Size: TLabeledEdit;
    Engine: TButton;
    XPManifest1: TXPManifest;
    SaveDialog: TSaveDialog;
    procedure EngineClick(Sender: TObject);
  private
    procedure Compile(F:TFileStream;Size:Longint);
  public
    { Public declarations }
  end;

var
  DCompForm: TDCompForm;

implementation

{$R *.dfm}

procedure TDCompForm.Compile(F:TFileStream;Size:Longint);
var
  x:byte;
  i:integer;
begin
  //  
  //     .
  Randomize();

  For i:= 1 To Size Do
  Begin
    //    
    //  ---  .
    x:=random(255);

    //   
    F.Write(x,1);
  End;

  //  
  F.Free;
end;

procedure TDCompForm.EngineClick(Sender: TObject);
var
  FS:TFileStream;
  //         .
  Error1,Error2,FileName:string;
begin
  Error1:='      ,     .       ,      .';
  Error2:='   ,       0day  ( )     .        ,        !    ...';
  If Size.Text='' Then
  Begin
    MessageBox(0,'  .','',64);
    Size.SetFocus;
    Exit;
  End;
  If StrToIntDef(Size.Text,0)>1024*1024*1024
  Then
  Begin
    MessageBox(0,PAnsiChar(Error1),'',32);
    Exit;
  End;
  If StrToIntDef(Size.Text,0)<1
  Then
  Begin
    MessageBox(0,PAnsiChar(Error2),'',32);
    Exit;
  End;
  If SaveDialog.Execute Then
  Begin
    FileName:=SaveDialog.FileName;
    If ExtractFileExt(FileName)<>'.com' Then
    FileName:=ChangeFileExt(FileName,'.com');
    FS:=TFileStream.Create(FileName, fmCreate);
    Compile(FS,StrToIntDef(Size.Text,0));
  End;
end;

end.
